import dynamix_sdk.base as _base


class CloudapiComputeRebootResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeRebootProtocol(_base.BasePostAPIFunctionProtocol):
    def reboot(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeRebootResultBool:
        ...
